//---------------------------------------------------------------------------

#ifndef Unit2H
#define Unit2H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
class TForm2 : public TForm
{
__published:	// IDE-managed Components
        TButton *Button1;
        TComboBox *ComboBox1;
        TCheckBox *CheckBox1;
        TCheckBox *CheckBox2;
        TCheckBox *CheckBox3;
        TCheckBox *CheckBox4;
        TScrollBar *ScrollBar1;
        void __fastcall FormPaint(TObject *Sender);
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall FormResize(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall Form2Close(TObject *Sender, TCloseAction &Action);
        void __fastcall Form2combochange(TObject *Sender);
        void __fastcall mysstlacena(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
        void __fastcall mysuvolnena(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
        void __fastcall mousemove(TObject *Sender, TShiftState Shift,
          int X, int Y);
        void __fastcall weelup(TObject *Sender, TShiftState Shift,
          TPoint &MousePos, bool &Handled);
        void __fastcall weeldown(TObject *Sender, TShiftState Shift,
          TPoint &MousePos, bool &Handled);
        void __fastcall CheckBox2Click(TObject *Sender);
        void __fastcall CheckBox1Click(TObject *Sender);
        void __fastcall CheckBox3Click(TObject *Sender);
        void __fastcall CheckBox4Click(TObject *Sender);
        void __fastcall ScrollBar1Change(TObject *Sender);
private:	// User declarations
        HGLRC hRC; 
public:		// User declarations
        __fastcall TForm2(TComponent* Owner);
        void TForm2::DrawScene(void);
        void TForm2::normalize(int indix);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm2 *Form2;
extern double ***poledat;

//---------------------------------------------------------------------------
#endif
